Summary: RFIO-based disk server test suite
Name: rfbench
Version: 0.7
Release: 2.cern
License: LGPL
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
Packager: Andras.Horvath@cern.ch
BuildArch: noarch

%description
Test suite for automatic over-the-network RFIO testing of disk server throughput.

The benchmark allows testing the performance of the disk server with multiple
readers, multiple writers and a mixture of read/write streams.

%package server
Summary: RFIO-based disk server test suite, server
Group: System Environment/Base
Requires: gawk, procps, util-linux, coreutils, zsh >= 4.2.0, castor-rfio-server, hwraidtools, xfsprogs, e2fsprogs
%description server
Test suite for automatic over-the-network RFIO testing of disk server throughput.

The benchmark allows testing the performance of the disk server with multiple
readers, multiple writers and a mixture of read/write streams.

The server is what you run on the disk server. It will generate configuration
files for the clients and measure the throughput. Run 'rfmaster -h' for help.

%package client
Summary: RFIO-based disk server test suite, client
Group: System Environment/Base
Requires: gawk, procps, util-linux, coreutils, zsh >= 4.2.0, castor-rfio-client
%description client
Test suite for automatic over-the-network RFIO testing of disk server throughput.

The benchmark allows testing the performance of the disk server with multiple
readers, multiple writers and a mixture of read/write streams.

Run this on the clients, with the configuration generated by the server.
(run as 'rfclient configfile')

%prep
%setup -n %{name}

%build

%install
mkdir -p %{buildroot}/usr/bin
install -m 755 rfclient %{buildroot}/usr/bin/
install -m 755 rfmaster %{buildroot}/usr/bin/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%files server
%defattr(-,root,root)
/usr/bin/rfmaster

%files client
%defattr(-,root,root)
/usr/bin/rfclient

%changelog
* Tue Apr 08 2008 Andras Horvath <Andras.Horvath@cern.ch> 0.7-1
- rfmaster checks for rfiod running

* Tue Apr 08 2008 Andras Horvath <Andras.Horvath@cern.ch> 0.6-1
- start up client processes with sleep in between 

* Mon Jun 11 2007 Andras Horvath <Andras.Horvath@cern.ch> 0.5-1
- bugfix

* Mon Jun 11 2007 Andras Horvath <Andras.Horvath@cern.ch> 0.5-1
- run as root only on server
- log more info (readahead information, network info and statistics, sysctl info)
- added dependencies

* Tue Apr 10 2007 Andras Horvath <Andras.Horvath@cern.ch> 0.4-2
- depend on hwraidtools, some typos fixed

* Wed Apr 04 2007 Andras Horvath <Andras.Horvath@cern.ch> 0.4-1
- rfmaster ^C handling
- rfclient warns when running as root

* Wed Apr 04 2007 Andras Horvath <Andras.Horvath@cern.ch> 0.3-2
- dependency fixes

* Thu Mar 29 2007 Andras Horvath <Andras.Horvath@cern.ch>
- cosmetic changes
- rfclient won't attempt to start on a stale config file

* Fri Mar 23 2007 Andras Horvath <Andras.Horvath@cern.ch>
- initial release
